<nav class="navbar navbar-expand-lg navbar-light bg-white px-2">
    <a class="navbar-brand text-info" href="{% url 'home' %}">Classroom Resource</a>
    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
    <ul class="navbar-nav">
        {% if request.user.is_authenticated %}
        <li class="nav-item active">
            <a class="nav-link" href="{% url 'dashboard' %}">Dashboard</a>
        </li>
        {% endif %}
    </ul>
    </div>

    {% if request.user.is_authenticated %}
    <span> Hello, {{ request.user }} </span>
    <span><a class="nav-link text-secondary" href="{% url 'logout' %}">Logout</a></span>
    {% else %}
    <span><a class="nav-link text-secondary" href="{% url 'register' %}">Register</a></span>
    <span><a class="nav-link text-secondary" href="{% url 'login' %}">Login</a></span>
    {% endif %}
</nav>